Status: Closed Start date: 2008-06-06

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.8   

Description

In some cases, one might want to use Redmine to manage a project that has no SCM repository associated with, but a simple

directory in the filesystem (can be a shared directory for example).

The FileSystem adapter simply reflects a directory in the filesystem. No author, no revision, no diff etc., only raw files and directories.

Please find attached patch for that.

Associated revisions

Revision 1508 - 2008-06-08 17:40 - Jean-Philippe Lang

Adds Filesystem adapter (patch #1393 by Paul R).

History

#1 - 2008-06-08 13:01 - Jean-Philippe Lang

I've just tested your patch. It looks to work fine and can be pretty useful indeed.

But some admins may not want users to be able to browse the whole filesystem of the remote host (a user allowed to manage repositories could

create a FS repository that points to /).

I think we should provide a way for the admin to disable some of the "scm adapters".

#2 - 2008-06-08 17:36 - Jean-Philippe Lang

- Status changed from New to Closed

Patch committed in r1508 with slight changes in tests due to r1507.

#3 - 2008-06-08 17:54 - Thomas Lecavelier

Very useful feature. Never seen it before. Thank you.

#4 - 2013-02-22 01:20 - Youssef Boujraf

Dear,

I tried to enable filesystem and it works fine.

Just what about user rights.

Do you thing you can add this features?

It will be great.

Best Regards,

Youssef

Files

filesystem-adapter.patch 11.3 KB 2008-06-06 Paul Rivier

filesystem_repository.tar.gz 265 Bytes 2008-06-06 Paul Rivier
